Page MenuHomePhabricator

MultimediaViewer tests fail with waiting for {:class=>"mw-mmv-final-image"} (Firefox only)
Closed, ResolvedPublic2 Estimated Story Points

Description

Browser tests for MMV on Firefox are failing with:
"timed out after 30 seconds, waiting for {:class=>"mw-mmv-final-image", :tag_name=>"img"} to become present (Watir::Wait::TimeoutError)"

https://integration.wikimedia.org/ci/view/Selenium/job/selenium-MultimediaViewer/

Event Timeline

Jdlrobson created this task.Aug 8 2016, 6:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2016, 6:31 PM
Jdlrobson renamed this task from MultimediaViewer tests fail with waiting for r {:class=>"mw-mmv-final-image"} to MultimediaViewer tests fail with waiting for {:class=>"mw-mmv-final-image"} (Firefox only).Aug 8 2016, 6:32 PM
Jdlrobson updated the task description. (Show Details)
jhobs triaged this task as High priority.Aug 9 2016, 5:10 PM
jhobs added a project: Readers-Web-Backlog.
jhobs set the point value for this task to 2.

The build is now green.

Tgr added a comment.Aug 9 2016, 8:32 PM

Could be related to beta cluster load (serving images takes more than 30 sec - sounds unlikely though). Or maybe this was the first time the test ran since Swift was installed in the beta cluster, and thumbnails had to be regenerated (that taking 30+s on beta is not that implausible but Swift was added more than a week ago).

phuedx added a subscriber: phuedx.Aug 10 2016, 8:57 AM

The build failed again with what appears to be the same set of failures before it succeeded.

When the time comes, this one will be for engineer signoff, not me.

CC @Jdlrobson @phuedx @bmansurov @jhobs

@phuedx does this need to be moved back out of Ready for Signoff?

Jdlrobson closed this task as Resolved.Aug 11 2016, 6:13 PM
Jdlrobson claimed this task.